# Project Task Name with ID

This module extends the name_search() and name_get() methods of the project.task model to search for, and display the ID of the task in the name field.

This module will simplify your operations if they heavily rely on the task ID. For instance, you can select a task by its ID when creating a timesheet record.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Maintainers

# Usage

The task’s display name will change to a concatenation of its ID and task name (e.g., [ID] task_name). You can search for the task using its ID in the Many2one field or in the search view.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Quartile Limited

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/project project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.